<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ExecuteSQLUpdateReq StructType
 * @subpackage Structs
 */
class ExecuteSQLUpdateReq extends APIRequest
{
    /**
     * The sql
     * Meta information extracted from the WSDL
     * - documentation: Request to execute an SQL update.
     * - nillable: false
     * @var string
     */
    public $sql;
    /**
     * Constructor method for ExecuteSQLUpdateReq
     * @uses ExecuteSQLUpdateReq::setSql()
     * @param string $sql
     */
    public function __construct($sql = null)
    {
        $this
            ->setSql($sql);
    }
    /**
     * Get sql value
     * @return string|null
     */
    public function getSql()
    {
        return $this->sql;
    }
    /**
     * Set sql value
     * @param string $sql
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ExecuteSQLUpdateReq
     */
    public function setSql($sql = null)
    {
        $this->sql = $sql;
        return $this;
    }
}
